> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/devices/{deviceId}/slice/peers

## OpenAPI

````json GET /v1/devices/{deviceId}/slice/peers
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/devices/{deviceId}/slice/peers": {
      "get": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          },
          {
            "name": "deviceId",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1DevicesDeviceIdSlicePeersGetResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "v1DevicesDeviceIdSlicePeersGetResponse": {
        "type": "object",
        "properties": {
          "slices": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2NetworkSlice"
            }
          }
        },
        "additionalProperties": false
      },
      "manaV2NetworkSlice": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "peers": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2NetworkSlicePeer"
            }
          },
          "sliceIndex": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "tags": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          }
        },
        "additionalProperties": false
      },
      "manaV2NetworkSlicePeer": {
        "type": "object",
        "properties": {
          "bgpConnection": {
            "$ref": "#/components/schemas/manaV2BgpConnection"
          },
          "connectionQuality": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "deviceId": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "gdi": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "hostname": {
            "type": "string",
            "example": "example string"
          },
          "ipsecConnection": {
            "$ref": "#/components/schemas/manaV2InterfaceTunnel"
          },
          "state": {
            "type": "string",
            "example": "example string"
          },
          "wanAddresses": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          }
        },
        "additionalProperties": false
      },
      "manaV2BgpConnection": {
        "type": "object",
        "properties": {
          "localAddress": {
            "type": "string",
            "example": "example string"
          },
          "operStatus": {
            "type": "boolean",
            "example": true
          },
          "remoteAddress": {
            "type": "string",
            "example": "example string"
          },
          "state": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "timeSinceLastOperChange": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "up": {
            "type": "boolean",
            "example": true
          }
        },
        "additionalProperties": false
      },
      "manaV2InterfaceTunnel": {
        "type": "object",
        "properties": {
          "antiReplayWSize": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "establishedTime": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "localCircuit": {
            "type": "string",
            "example": "example string"
          },
          "localInterface": {
            "$ref": "#/components/schemas/manaV2Interface"
          },
          "localPort": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "localSpi": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "negotiatedAlgorithms": {
            "type": "string",
            "example": "example string"
          },
          "operState": {
            "type": "boolean",
            "example": true
          },
          "peerAddress": {
            "type": "string",
            "example": "example string"
          },
          "protocol": {
            "type": "string",
            "example": "example string"
          },
          "rekeyTime": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "remotePort": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "remoteSpi": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "sessionId": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "sourceAddress": {
            "type": "string",
            "example": "example string"
          },
          "tunnelInterface": {
            "$ref": "#/components/schemas/manaV2Interface"
          }
        },
        "additionalProperties": false
      },
      "googleProtobufTimestamp": {
        "type": "object",
        "properties": {
          "nanos": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "seconds": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      },
      "manaV2Interface": {
        "type": "object",
        "properties": {
          "alias": {
            "type": "string",
            "example": "example string"
          },
          "circuit": {
            "type": "string",
            "example": "example string"
          },
          "circuitName": {
            "type": "string",
            "example": "example string"
          },
          "configUpdatedAt": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "configuredMaxTransmissionUnit": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "description": {
            "type": "string",
            "example": "example string"
          },
          "duplex": {
            "type": "string",
            "example": "example string"
          },
          "enabled": {
            "type": "boolean",
            "example": true
          },
          "gatewayAddressV4": {
            "type": "string",
            "example": "example string"
          },
          "gatewayAddressV6": {
            "type": "string",
            "example": "example string"
          },
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "ipSec": {
            "$ref": "#/components/schemas/manaV2InterfaceIPsec"
          },
          "ipv4": {
            "$ref": "#/components/schemas/manaV2InterfaceAddress"
          },
          "ipv6": {
            "$ref": "#/components/schemas/manaV2InterfaceAddress"
          },
          "ipv6Addresses": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2InterfaceAddress"
            }
          },
          "lagInterface": {
            "$ref": "#/components/schemas/manaV2LagInterface"
          },
          "lan": {
            "type": "string",
            "example": "example string"
          },
          "lldpEnabled": {
            "type": "boolean",
            "example": true
          },
          "macsec": {
            "$ref": "#/components/schemas/manaV2InterfaceMaCsec"
          },
          "maxTransmissionUnit": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "name": {
            "type": "string",
            "example": "example string"
          },
          "operUpdatedAt": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "phyAddress": {
            "type": "string",
            "example": "example string"
          },
          "protocol": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "securityZone": {
            "type": "string",
            "example": "example string"
          },
          "sfpOpticalStrength": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2InterfaceSfpOpticalStrength"
            }
          },
          "speedMbps": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "subinterfaces": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2InterfaceVlan"
            }
          },
          "tcpMss": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "tcpMssV4": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "tcpMssV6": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "type": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "up": {
            "type": "boolean",
            "example": true
          },
          "vrfFunctionId": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "vrfName": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "manaV2InterfaceIPsec": {
        "type": "object",
        "properties": {
          "antiReplayWindowSize": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "dhGroup": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "dpdInterval": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "encryptionAlg": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "esn": {
            "type": "boolean",
            "example": true
          },
          "establishedTime": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "ikeIntegrity": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "ipsecEncryptionAlg": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "ipsecIntegrity": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "label": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "localAddress": {
            "type": "string",
            "example": "example string"
          },
          "localCircuit": {
            "type": "string",
            "example": "example string"
          },
          "localIkePeerIdentity": {
            "type": "string",
            "example": "example string"
          },
          "localIkesaSpi": {
            "type": "integer",
            "format": "int64",
            "example": 12345678910,
            "minimum": 0
          },
          "localPort": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "negotiatedAlgo": {
            "type": "string",
            "example": "example string"
          },
          "operState": {
            "type": "boolean",
            "example": true
          },
          "perfectForwardSecrecy": {
            "type": "string",
            "example": "example string"
          },
          "presharedKey": {
            "type": "string",
            "example": "example string"
          },
          "protocol": {
            "type": "string",
            "example": "example string"
          },
          "reauthInterval": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "rekeyInterval": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "remoteAddress": {
            "type": "string",
            "example": "example string"
          },
          "remoteIkePeerIdentity": {
            "type": "string",
            "example": "example string"
          },
          "remoteIkesaSpi": {
            "type": "integer",
            "format": "int64",
            "example": 12345678910,
            "minimum": 0
          },
          "remotePort": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          }
        },
        "additionalProperties": false
      },
      "manaV2InterfaceAddress": {
        "type": "object",
        "properties": {
          "address": {
            "type": "string",
            "example": "example string"
          },
          "dhcpClient": {
            "type": "boolean",
            "example": true
          },
          "dhcpRelay": {
            "$ref": "#/components/schemas/manaV2DhcpRelay"
          },
          "dhcpServer": {
            "type": "boolean",
            "example": true
          },
          "origin": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "vrrpGroup": {
            "$ref": "#/components/schemas/manaV2VrrpGroup"
          }
        },
        "additionalProperties": false
      },
      "manaV2LagInterface": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "lacpConfig": {
            "$ref": "#/components/schemas/manaV2LacpConfig"
          },
          "members": {
            "type": "array",
            "items": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011
            }
          },
          "minimumMembers": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          }
        },
        "additionalProperties": false
      },
      "manaV2InterfaceMaCsec": {
        "type": "object",
        "properties": {
          "enabled": {
            "type": "boolean",
            "example": true
          },
          "encryptionEnforcementMode": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "keyServerPriority": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "pskConfigurations": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2PskConfiguration"
            }
          },
          "sakConfigurations": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2SakConfiguration"
            }
          },
          "splitSakConfigByLagMember": {
            "type": "boolean",
            "example": true
          },
          "transparentVlan": {
            "type": "boolean",
            "example": true
          }
        },
        "additionalProperties": false
      },
      "manaV2InterfaceSfpOpticalStrength": {
        "type": "object",
        "properties": {
          "index": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "rxPower": {
            "type": "number",
            "format": "float",
            "example": 12.34
          },
          "txBias": {
            "type": "number",
            "format": "float",
            "example": 12.34
          },
          "txPower": {
            "type": "number",
            "format": "float",
            "example": 12.34
          },
          "voltage": {
            "type": "number",
            "format": "float",
            "example": 12.34
          }
        },
        "additionalProperties": false
      },
      "manaV2InterfaceVlan": {
        "type": "object",
        "properties": {
          "alias": {
            "type": "string",
            "example": "example string"
          },
          "circuit": {
            "type": "string",
            "example": "example string"
          },
          "configUpdatedAt": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "description": {
            "type": "string",
            "example": "example string"
          },
          "duplex": {
            "type": "string",
            "example": "example string"
          },
          "enabled": {
            "type": "boolean",
            "example": true
          },
          "gatewayAddressV4": {
            "type": "string",
            "example": "example string"
          },
          "gatewayAddressV6": {
            "type": "string",
            "example": "example string"
          },
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "ipv4": {
            "$ref": "#/components/schemas/manaV2InterfaceAddress"
          },
          "ipv6": {
            "$ref": "#/components/schemas/manaV2InterfaceAddress"
          },
          "ipv6Addresses": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2InterfaceAddress"
            }
          },
          "lan": {
            "type": "string",
            "example": "example string"
          },
          "macAddress": {
            "type": "string",
            "example": "example string"
          },
          "maxTransmissionUnit": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "name": {
            "type": "string",
            "example": "example string"
          },
          "operUpdatedAt": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "parentMacAddress": {
            "type": "string",
            "example": "example string"
          },
          "securityZone": {
            "type": "string",
            "example": "example string"
          },
          "speedMbps": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "tcpMss": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "tcpMssV4": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "tcpMssV6": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "up": {
            "type": "boolean",
            "example": true
          },
          "vlan": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          }
        },
        "additionalProperties": false
      },
      "manaV2DhcpRelay": {
        "type": "object",
        "properties": {
          "dhcpv4Relays": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          },
          "dhcpv6Relays": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          },
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      },
      "manaV2VrrpGroup": {
        "type": "object",
        "properties": {
          "acceptMode": {
            "type": "boolean",
            "example": true
          },
          "allowInterOperability": {
            "type": "boolean",
            "example": true
          },
          "description": {
            "type": "string",
            "example": "example string"
          },
          "effectivePriority": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "enabled": {
            "type": "boolean",
            "example": true
          },
          "groupMembers": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2VRRPGroupMember"
            }
          },
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "name": {
            "type": "string",
            "example": "example string"
          },
          "preempt": {
            "type": "boolean",
            "example": true
          },
          "priority": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "state": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "trackedInterfaces": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2VRRPGroupInterfacePriorityDecrement"
            }
          },
          "virtualIpAddress": {
            "type": "string",
            "example": "example string"
          },
          "virtualMacAddress": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "manaV2LacpConfig": {
        "type": "object",
        "properties": {
          "mode": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "timer": {
            "type": "string",
            "example": "ENUM_VALUE"
          }
        },
        "additionalProperties": false
      },
      "manaV2PskConfiguration": {
        "type": "object",
        "properties": {
          "cak": {
            "type": "string",
            "example": "1234567890abcdef1234567890abcdef",
            "description": "The Connection Authentication Key (CAK)"
          },
          "cakCryptographicAlgorithm": {
            "type": "string",
            "example": "AES_128_CMAC",
            "description": "The cryptographic algorithm for the CAK, SAK Cipher Suite is implicitly selected based on this field. (required)"
          },
          "ckn": {
            "type": "string",
            "example": "Corp-MACsec-CKN",
            "description": "The Connection Key Name (CKN) (required)"
          },
          "nickname": {
            "type": "string",
            "example": "PSK1",
            "description": "The nickname of the PSK (required)"
          },
          "startTime": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "useXpnForCipherSuite": {
            "type": "boolean",
            "example": true,
            "description": "Whether to use XPN for the cipher suite. If true, AES_128_GCM_XPN or AES_256_GCM_XPN is selected based on the cmac algorithm. If false, AES_128_GCM or AES_256_GCM is selected based on the cmac algorithm."
          }
        },
        "additionalProperties": false
      },
      "manaV2SakConfiguration": {
        "type": "object",
        "properties": {
          "cipherSuite": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "lagMemberInterfaceId": {
            "type": "integer",
            "format": "int64",
            "example": 1,
            "description": "The interface ID (required for when each lag member has a different MACsec configuration - when split_sak_config_by_lag_member is true) (required)"
          },
          "nullableRekeyInterval": {
            "$ref": "#/components/schemas/manaV2NullableMaCsecRekeyInterval"
          },
          "nullableReplayProtectionWindowSize": {
            "$ref": "#/components/schemas/manaV2NullableMaCsecReplayProtectionWindowSize"
          },
          "rekeyInterval": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "replayProtectionWindowSize": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      },
      "manaV2VRRPGroupMember": {
        "type": "object",
        "properties": {
          "circuit": {
            "type": "string",
            "example": "example string"
          },
          "deviceId": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "effectivePriority": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "hostname": {
            "type": "string",
            "example": "example string"
          },
          "interface": {
            "type": "string",
            "example": "example string"
          },
          "lan": {
            "type": "string",
            "example": "example string"
          },
          "localIpAddress": {
            "type": "string",
            "example": "example string"
          },
          "priority": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "state": {
            "type": "string",
            "example": "ENUM_VALUE"
          }
        },
        "additionalProperties": false
      },
      "manaV2VRRPGroupInterfacePriorityDecrement": {
        "type": "object",
        "properties": {
          "interface": {
            "type": "string",
            "example": "example string"
          },
          "priorityDecrement": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          }
        },
        "additionalProperties": false
      },
      "manaV2NullableMaCsecRekeyInterval": {
        "type": "object",
        "properties": {
          "rekeyInterval": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      },
      "manaV2NullableMaCsecReplayProtectionWindowSize": {
        "type": "object",
        "properties": {
          "replayProtectionWindowSize": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

